Bug 823398 - SELinux is preventing /usr/bin/mongod from 'read' accesses on the file meminfo.
SELinux is preventing /usr/bin/mongod from 'read' accesses on the file meminfo.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:53ca750f7b0b2b3ff7c1eb77b68...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-21 03:17 EDT by Pierre-YvesChibon
Modified: 2012-06-03 19:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-03 19:31:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre-YvesChibon 2012-05-21 03:17:17 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.4-5.fc17.x86_64
time:           Mon 21 May 2012 09:16:59 AM CEST

description:
:SELinux is preventing /usr/bin/mongod from 'read' accesses on the file meminfo.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that mongod should be allowed read access on the meminfo file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep mongod /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:mongod_t:s0
:Target Context                system_u:object_r:proc_t:s0
:Target Objects                meminfo [ file ]
:Source                        mongod
:Source Path                   /usr/bin/mongod
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           mongodb-server-2.0.2-10.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-121.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.4-5.fc17.x86_64 #1 SMP
:                              Mon May 7 17:29:34 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Mon 21 May 2012 09:16:18 AM CEST
:Last Seen                     Mon 21 May 2012 09:16:18 AM CEST
:Local ID                      38592366-308e-4a24-8735-1c6971583c89
:
:Raw Audit Messages
:type=AVC msg=audit(1337584578.786:1593): avc:  denied  { read } for  pid=29997 comm="mongod" name="meminfo" dev="proc" ino=4026532040 scontext=system_u:system_r:mongod_t:s0 tcontext=system_u:object_r:proc_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1337584578.786:1593): arch=x86_64 syscall=open success=no exit=EACCES a0=379ab7729c a1=80000 a2=1b6 a3=238 items=0 ppid=1 pid=29997 auid=4294967295 uid=991 gid=986 euid=991 suid=991 fsuid=991 egid=986 sgid=986 fsgid=986 tty=(none) ses=4294967295 comm=mongod exe=/usr/bin/mongod subj=system_u:system_r:mongod_t:s0 key=(null)
:
:Hash: mongod,mongod_t,proc_t,file,read
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-05-21 07:43:27 EDT
Fixed in selinux-policy-3.10.0-126.fc17
Comment 2 Fedora Update System 2012-05-31 02:26:50 EDT
selinux-policy-3.10.0-128.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-128.fc17
Comment 3 Fedora Update System 2012-06-01 13:08:55 EDT
Package selinux-policy-3.10.0-128.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-128.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8720/selinux-policy-3.10.0-128.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-06-03 19:31:25 EDT
selinux-policy-3.10.0-128.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.